#ifndef morpheo_tools_viewer_bdd_Portmap_h
#define morpheo_tools_viewer_bdd_Portmap_h

#include <iostream>

using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  class PortMap 
    {
    private:
      string comment;
      string name;
      //morpheo::tools::viewer::bdd::Port *port;
      //morpheo::tools::viewer::bdd::Component *compo;
      string component;
      string port;
           
    protected:
      
    public:

      string getComment();
      string getName();
      string getComponent();
      string getPort();
      void setComment(string s);
      PortMap(string n,string c,string p);
      PortMap(PortMap *p);
      //void addcomposant(morpheo::tools::viewer::bdd::Component *c);
      //void addport(morpheo::tools::viewer::bdd::Port *p);
      ~PortMap();
    };//end class PortMap

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
